﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'     Runtime Version:2.0.50727.3053
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Imports system.xml
Imports System.Xml.Serialization

'
'This source code was auto-generated by xsd, Version=2.0.50727.42.
'
Namespace WebService

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True), _
     Global.System.Xml.Serialization.XmlRootAttribute([Namespace]:="", IsNullable:=False)> _
    Partial Public Class OMSourceTransactionLookupResponse
        Private dateTimeStampField As OMSourceTransactionLookupResponseDateTimeStamp
        Private successFlagField As OMSourceTransactionLookupResponseSuccessFlag
        Private sourceTransactionDetailField As OMSourceTransactionLookupResponseSourceTransactionDetail

        '''<remarks/>
        Public Property DateTimeStamp() As OMSourceTransactionLookupResponseDateTimeStamp
            Get
                Return Me.dateTimeStampField
            End Get
            Set(ByVal value As OMSourceTransactionLookupResponseDateTimeStamp)
                Me.dateTimeStampField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SuccessFlag() As OMSourceTransactionLookupResponseSuccessFlag
            Get
                Return Me.successFlagField
            End Get
            Set(ByVal value As OMSourceTransactionLookupResponseSuccessFlag)
                Me.successFlagField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SourceTransactionDetail() As OMSourceTransactionLookupResponseSourceTransactionDetail
            Get
                Return Me.sourceTransactionDetailField
            End Get
            Set(ByVal value As OMSourceTransactionLookupResponseSourceTransactionDetail)
                Me.sourceTransactionDetailField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class OMSourceTransactionLookupResponseDateTimeStamp
        Private validationStatusField As String
        Private valueField As Date

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Date)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class OMSourceTransactionLookupResponseSuccessFlag
        Private valueField As Boolean

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Boolean)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class OMSourceTransactionLookupResponseSourceTransactionDetail
        Private itemField As Object

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute("ErrorDetail", GetType(OMSourceTransactionLookupResponseSourceTransactionDetailErrorDetail)), _
         Global.System.Xml.Serialization.XmlElementAttribute("OrderDetail", GetType(OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetail))> _
        Public Property Item() As Object
            Get
                Return Me.itemField
            End Get
            Set(ByVal value As Object)
                Me.itemField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class OMSourceTransactionLookupResponseSourceTransactionDetailErrorDetail
        Private sourceField As OMSourceTransactionLookupResponseSourceTransactionDetailErrorDetailSource
        Private sourceOrderNumberField As OMSourceTransactionLookupResponseSourceTransactionDetailErrorDetailSourceOrderNumber

        '''<remarks/>
        Public Property Source() As OMSourceTransactionLookupResponseSourceTransactionDetailErrorDetailSource
            Get
                Return Me.sourceField
            End Get
            Set(ByVal value As OMSourceTransactionLookupResponseSourceTransactionDetailErrorDetailSource)
                Me.sourceField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SourceOrderNumber() As OMSourceTransactionLookupResponseSourceTransactionDetailErrorDetailSourceOrderNumber
            Get
                Return Me.sourceOrderNumberField
            End Get
            Set(ByVal value As OMSourceTransactionLookupResponseSourceTransactionDetailErrorDetailSourceOrderNumber)
                Me.sourceOrderNumberField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class OMSourceTransactionLookupResponseSourceTransactionDetailErrorDetailSource
        Private validationStatusField As String
        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class OMSourceTransactionLookupResponseSourceTransactionDetailErrorDetailSourceOrderNumber
        Private validationStatusField As String
        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetail
        Private sourceField As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSource
        Private sourceOrderNumberField As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSourceOrderNumber
        Private sellingStoreCodeField As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSellingStoreCode
        Private sellingStoreTillField As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSellingStoreTill
        Private sellingStoreTransactionField As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSellingStoreTransaction
        Private saleDateField As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSaleDate

        '''<remarks/>
        Public Property Source() As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSource
            Get
                Return Me.sourceField
            End Get
            Set(ByVal value As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSource)
                Me.sourceField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SourceOrderNumber() As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSourceOrderNumber
            Get
                Return Me.sourceOrderNumberField
            End Get
            Set(ByVal value As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSourceOrderNumber)
                Me.sourceOrderNumberField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SellingStoreCode() As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSellingStoreCode
            Get
                Return Me.sellingStoreCodeField
            End Get
            Set(ByVal value As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSellingStoreCode)
                Me.sellingStoreCodeField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SellingStoreTill() As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSellingStoreTill
            Get
                Return Me.sellingStoreTillField
            End Get
            Set(ByVal value As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSellingStoreTill)
                Me.sellingStoreTillField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SellingStoreTransaction() As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSellingStoreTransaction
            Get
                Return Me.sellingStoreTransactionField
            End Get
            Set(ByVal value As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSellingStoreTransaction)
                Me.sellingStoreTransactionField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SaleDate() As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSaleDate
            Get
                Return Me.saleDateField
            End Get
            Set(ByVal value As OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSaleDate)
                Me.saleDateField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSource
        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSourceOrderNumber
        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSellingStoreCode
        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSellingStoreTill
        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSellingStoreTransaction
        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class OMSourceTransactionLookupResponseSourceTransactionDetailOrderDetailSaleDate
        Private valueField As Date

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Date)
                Me.valueField = value
            End Set
        End Property
    End Class
End Namespace
